<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:i="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

<!-- Required meta tags -->
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
<!-- Bootstrap CSS -->
<link href="#{request.contextPath}/css/bootstrap.css" rel="stylesheet"/>
<link href="#{request.contextPath}/css/bootstrap-grid.css" rel="stylesheet"/>
<link href="#{request.contextPath}/css/bootstrap-reboot.css" rel="stylesheet"/>
<!-- Bootstrap CSS -->

<!-- Icons for Bootstrap -->
<script src="https://kit.fontawesome.com/1054f496fb.js" crossorigin="anonymous" type="text/javascript"></script>
<!-- Icons for Bootstrap -->

<!-- Own CSS-File -->
<link href="#{request.contextPath}/css/header-stylesheet.css" rel="stylesheet"/>
<link href="#{request.contextPath}/css/loginpage-content-stylesheet.css" rel="stylesheet"/>

<link href="#{request.contextPath}/css/footer-stylesheet.css" rel="stylesheet"/>
<link href="#{request.contextPath}/css/adminPageCreateUser-stylesheet.css" rel="stylesheet"/>
<!-- Own CSS-File -->

<!-- Icons for Bootstrap -->
<!-- Icons for Bootstrap -->

<!-- Bootstrap Javascript -->
<link href="#{request.contextPath}/js/bootstrap.js" rel="stylesheet"/>
<link href="#{request.contextPath}/js/bootstrap.bundle.js" rel="stylesheet"/>
<!-- Bootstrap Javascript -->

<h:head>
    <title>Settings</title>
</h:head>

<h:body>
    <!-- Navigation -->
    <nav class="navbar navbar-light bg-light navbar-expand-lg sticky-top ">
        <div class="container">
            <a href="landingpage.xhtml" class="navbar-brand font-weight-bold navbar-style">
                <img src="img/KGT.png" style="width: 60px"/>
                Log out
            </a>
        </div>
    </nav>
    <!-- Navigation -->
    <div class="container-fluid">
        <div class="row">
            <div class="sidenav col-sm-12 col-md-4 col-lg-4 text-center">
                <div class=" text-centre-middle">
                    <h2 id="styles1">Create a user</h2>
                    <p id="styles2">Enter the data from the new user</p>
                </div>
            </div>
            <div class="col-sm-12 col-md-8 col-lg-8" id="styles4">
                <div class="text-centre-middle">
                        <h:form>
                            <p:growl id="msgs" showDetail="true" skipDetailIfEqualsSummary="true"/>

                            <p:panel styleClass="customStyle"  header="Select the type of user you want to create">
                                <h:panelGrid columns="2" cellpadding="5" styleClass="customStyle2">
                                    <p:outputLabel for="country" styleClass="customStyle2"><h4 style="margin-top:0;padding-left: 0;font-size: 1.5rem; color: #212529;"><strong>Position</strong></h4></p:outputLabel>
                                    <p:selectOneMenu style="margin-left:3px;width:150px" id="country" styleClass="customStyle2" value="#{adminController.position}">
                                        <f:selectItem itemLabel="Select Position" itemValue=""
                                                      noSelectionOption="true"/>
                                        <f:selectItems  value="#{adminController.positions}"/>
                                    </p:selectOneMenu>
                                </h:panelGrid>

                                <h:form >
                                    <h4 style="margin-top:0; font-size: 1.5rem; color: #212529;" ><strong>Name</strong> <h:inputText style="margin-left:35px" value="#{adminController.name}"/></h4>
                                    <h4 style="margin-top:0; font-size: 1.5rem; color: #212529;" ><strong>Surname</strong> <h:inputText style="margin-left:8px" value="#{adminController.surName}"/>
                                    </h4>
                                    <h4 style="margin-top:0; font-size: 1.5rem; color: #212529;" ><strong>Password</strong> <h:inputText
                                            value="#{adminController.password}"/></h4>
                                </h:form>
                                <p:separator/>

                                <p:commandButton value="Submit" update="msgs" action="#{adminController.createUser}"
                                                 icon="pi pi-check"/>
                                <p:separator/>
                                <p:commandButton value="Table of Users" update="msgs"
                                                 action="#{adminController.seeTableOfUsers}"
                                                 icon="pi pi-check"/>
                            </p:panel>
                        </h:form>
                </div>
            </div>
        </div>
    </div>

    <footer class="footer bg-light footer-backround-color">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 h-100 text-center text-lg-left my-auto">
                    <ul class="list-inline">
                        <li class="list-inline-item">
                            <a href="#" class="footer-color">About</a>
                        </li>
                        <li class="list-inline-item footer-color">.</li>
                        <li class="list-inline-item">
                            <a href="#" class="footer-color">Contact</a>
                        </li>
                        <li class="list-inline-item footer-color">.</li>
                        <li class="list-inline-item">
                            <a href="#" class="footer-color">Terms of Use</a>
                        </li>
                        <li class="list-inline-item footer-color">.</li>
                        <li class="list-inline-item">
                            <a href="#" class="footer-color">Privacy Policy</a>
                        </li>
                    </ul>
                    <p class="small footer-color">© Your Website 2019. All Rights Reserved.</p>
                </div>
                <div class="col-lg-6 text-center text-lg-right">
                    <ul class="list-inline mb-0">
                        <li class="list-inline-item mr-3">
                            <a href="#" class="footer-color">
                                <i class="fab fa-linkedin fa-2x"></i>
                            </a>
                        </li>
                        <li class="list-inline-item">
                            <a href="#" class="footer-color">
                                <i class="fab fa-xing-square fa-2x"></i>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </footer>
</h:body>


<h:outputScript>
    $(function () {
        $(window).on('scroll', function () {
            if ($(window).scrollTop() > 10) {
                $('.navbar').addClass('active');
            } else {
                $('.navbar').removeClass('active');
            }
        });
    });
</h:outputScript>

</html>